Skip to main content
GET
/
app.rocksky.feed.getStories
Get all currently playing tracks by users
curl --request GET \
  --url https://api.rocksky.app/xrpc/app.rocksky.feed.getStories \
  --header 'Authorization: Bearer <token>'
{
  "stories": [
    {
      "album": "<string>",
      "albumArt": "<string>",
      "albumArtist": "<string>",
      "albumUri": "<string>",
      "artist": "<string>",
      "artistUri": "<string>",
      "avatar": "<string>",
      "createdAt": "<string>",
      "did": "<string>",
      "handle": "<string>",
      "id": "<string>",
      "title": "<string>",
      "trackId": "<string>",
      "trackUri": "<string>",
      "uri": "<string>"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.rocksky.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

size
integer

The maximum number of stories to return.

Required range: x >= 1

Response

OK

stories
object[]